File Services - Get Service Usage
Gets the usage of file service in storage account including account limits, file share limits and constants used in recommendations and bursting formula.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{accountName}/fileServices/default/usages/default?api-version=2026-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 3maxLength: 24 pattern: ^[a-z0-9]+$ |
The name of the storage account within the specified resource group. Storage account names must be between 3 and 24 characters in length and use numbers and lower-case letters only. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GetFileServiceUsage
Sample request
Sample response
{
"name": "default",
"type": "Microsoft.Storage/storageAccounts/fileServices/usages",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/res4410/providers/Microsoft.Storage/storageAccounts/sto8607/fileServices/default/usages/default",
"properties": {
"burstingConstants": {
"burstFloorIOPS": 10000,
"burstIOScalar": 3,
"burstTimeframeSeconds": 3600
},
"fileShareLimits": {
"maxProvisionedBandwidthMiBPerSec": 10340,
"maxProvisionedIOPS": 102400,
"maxProvisionedStorageGiB": 262144,
"minProvisionedBandwidthMiBPerSec": 125,
"minProvisionedIOPS": 3000,
"minProvisionedStorageGiB": 32,
"guardrailIOScalar": 5,
"guardrailBandwidthScalar": 5
},
"fileShareRecommendations": {
"bandwidthScalar": 0.1,
"baseBandwidthMiBPerSec": 125,
"baseIOPS": 3000,
"ioScalar": 1
},
"storageAccountLimits": {
"maxFileShares": 50,
"maxProvisionedBandwidthMiBPerSec": 10340,
"maxProvisionedIOPS": 102400,
"maxProvisionedStorageGiB": 262144
},
"storageAccountUsage": {
"liveShares": {
"fileShareCount": 2,
"provisionedBandwidthMiBPerSec": 258,
"provisionedIOPS": 6064,
"provisionedStorageGiB": 64
},
"softDeletedShares": {
"fileShareCount": 1,
"provisionedBandwidthMiBPerSec": 125,
"provisionedIOPS": 3000,
"provisionedStorageGiB": 100
}
}
}
}
Definitions
| Name | Description |
|---|---|
|
Account |
Maximum provisioned storage, IOPS, bandwidth and number of file shares limits for the storage account. |
|
Account |
Usage of provisioned storage, IOPS, bandwidth and number of file shares across all live shares and soft-deleted shares in the account. |
|
Account |
Usage of provisioned storage, IOPS, bandwidth and number of file shares across all live shares or soft-deleted shares in the account. |
|
Bursting |
Constants used for calculating included burst IOPS and maximum burst credits for IOPS for a file share in the storage account. |
|
Cloud |
An error response from the Storage service. |
|
Cloud |
An error response from the Storage service. |
|
created |
The type of identity that created the resource. |
|
File |
The usage of file service in storage account. |
|
File |
File service usage in storage account including account limits, file share limits and constants used in recommendations and bursting formula. |
|
File |
Minimum and maximum provisioned storage, IOPS and bandwidth limits for a file share in the storage account. |
|
File |
Constants used for calculating recommended provisioned IOPS and bandwidth for a file share in the storage account. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
AccountLimits
Maximum provisioned storage, IOPS, bandwidth and number of file shares limits for the storage account.
| Name | Type | Description |
|---|---|---|
| maxFileShares |
integer (int32) |
The maximum number of file shares limit for the storage account. |
| maxProvisionedBandwidthMiBPerSec |
integer (int32) |
The maximum provisioned bandwidth limit in mebibytes per second for the storage account. |
| maxProvisionedIOPS |
integer (int32) |
The maximum provisioned IOPS limit for the storage account. |
| maxProvisionedStorageGiB |
integer (int32) |
The maximum provisioned storage quota limit in gibibytes for the storage account. |
AccountUsage
Usage of provisioned storage, IOPS, bandwidth and number of file shares across all live shares and soft-deleted shares in the account.
| Name | Type | Description |
|---|---|---|
| liveShares |
Usage of provisioned storage, IOPS, bandwidth and number of file shares across all live shares or soft-deleted shares in the account. |
|
| softDeletedShares |
Usage of provisioned storage, IOPS, bandwidth and number of file shares across all live shares or soft-deleted shares in the account. |
AccountUsageElements
Usage of provisioned storage, IOPS, bandwidth and number of file shares across all live shares or soft-deleted shares in the account.
| Name | Type | Description |
|---|---|---|
| fileShareCount |
integer (int32) |
The total number of file shares. |
| provisionedBandwidthMiBPerSec |
integer (int32) |
The total provisioned bandwidth in mebibytes per second. |
| provisionedIOPS |
integer (int32) |
The total provisioned IOPS. |
| provisionedStorageGiB |
integer (int32) |
The total provisioned storage quota in gibibytes. |
BurstingConstants
Constants used for calculating included burst IOPS and maximum burst credits for IOPS for a file share in the storage account.
| Name | Type | Description |
|---|---|---|
| burstFloorIOPS |
integer (int32) |
The guaranteed floor of burst IOPS for small file shares. |
| burstIOScalar |
number (double) |
The scalar against provisioned IOPS in the file share included burst IOPS formula. |
| burstTimeframeSeconds |
integer (int32) |
The time frame for bursting in seconds in the file share maximum burst credits for IOPS formula. |
CloudError
An error response from the Storage service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the Storage service. |
CloudErrorBody
An error response from the Storage service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
FileServiceUsage
The usage of file service in storage account.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties |
File service usage in storage account including account limits, file share limits and constants used in recommendations and bursting formula. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
FileServiceUsageProperties
File service usage in storage account including account limits, file share limits and constants used in recommendations and bursting formula.
| Name | Type | Description |
|---|---|---|
| burstingConstants |
Constants used for calculating included burst IOPS and maximum burst credits for IOPS for a file share in the storage account. |
|
| fileShareLimits |
Minimum and maximum provisioned storage, IOPS and bandwidth limits for a file share in the storage account. |
|
| fileShareRecommendations |
Constants used for calculating recommended provisioned IOPS and bandwidth for a file share in the storage account. |
|
| storageAccountLimits |
Maximum provisioned storage, IOPS, bandwidth and number of file shares limits for the storage account. |
|
| storageAccountUsage |
Usage of provisioned storage, IOPS, bandwidth and number of file shares across all live shares and soft-deleted shares in the account. |
FileShareLimits
Minimum and maximum provisioned storage, IOPS and bandwidth limits for a file share in the storage account.
| Name | Type | Description |
|---|---|---|
| guardrailBandwidthScalar |
number (double) |
The bandwidth scalar used for guardrail calculations for a file share in the storage account. |
| guardrailIOScalar |
number (double) |
The IO scalar used for guardrail calculations for a file share in the storage account. |
| maxProvisionedBandwidthMiBPerSec |
integer (int32) |
The maximum provisioned bandwidth limit in mebibytes per second for a file share in the storage account. |
| maxProvisionedIOPS |
integer (int32) |
The maximum provisioned IOPS limit for a file share in the storage account. |
| maxProvisionedStorageGiB |
integer (int32) |
The maximum provisioned storage quota limit in gibibytes for a file share in the storage account. |
| minProvisionedBandwidthMiBPerSec |
integer (int32) |
The minimum provisioned bandwidth limit in mebibytes per second for a file share in the storage account. |
| minProvisionedIOPS |
integer (int32) |
The minimum provisioned IOPS limit for a file share in the storage account. |
| minProvisionedStorageGiB |
integer (int32) |
The minimum provisioned storage quota limit in gibibytes for a file share in the storage account. |
FileShareRecommendations
Constants used for calculating recommended provisioned IOPS and bandwidth for a file share in the storage account.
| Name | Type | Description |
|---|---|---|
| bandwidthScalar |
number (double) |
The scalar for bandwidth in the file share provisioned bandwidth recommendation formula. |
| baseBandwidthMiBPerSec |
integer (int32) |
The base bandwidth in the file share provisioned bandwidth recommendation formula. |
| baseIOPS |
integer (int32) |
The base IOPS in the file share provisioned IOPS recommendation formula. |
| ioScalar |
number (double) |
The scalar for IO in the file share provisioned IOPS recommendation formula. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |